MaillyDocs

Send a template test

POST
/templates/{templateKey}/test-send

Sends through the governed send path with testSend=true, recorded as the template_test source.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

templateKey*string

template stable key

Request Body

application/json
  1. body
version?number

Published version number

draft?boolean

Render the draft (mutually exclusive with version)

locale?string
variables?
to?string

Test recipient

[key: string]?unknown

Response Body

Send result (passed through from the Queue service, JSON)

curl -X POST 'https://api.mailly.site/templates/string/test-send' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
Empty